Bug 1014958 - firewall-offline-cmd --forward-port requires 'toaddr' which should be optional
firewall-offline-cmd --forward-port requires 'toaddr' which should be optional
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 04:16 EDT by Niels de Vos
Modified: 2013-10-22 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.3.7-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 00:57:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2013-10-03 04:16:21 EDT
Description of problem:

firewall-offline-cmd --forward-port requires 'toaddr' which should be
optional.

# firewall-offline-cmd -h

  --forward-port=if=<interface>:port=<port>:proto=<protocol>[:toport=<destination port>][:toaddr=<destination address>]
                        Forward the port with protocol for the interface to
                        either another local destination port (no destination
                        address given) or to an other destination address with
                        an optional destination port. This is IPv4 only.


Version-Release number of selected component (if applicable):
firewalld-0.3.4-1.fc19.noarch

How reproducible:
100%

Steps to Reproduce:

# firewall-offline-cmd --forward-port=if=eth0:port=80:proto=tcp:toport=8000

Actual results:

Traceback (most recent call last):
  File "/bin/firewall-offline-cmd", line 436, in <module>
    entry = (fwd["port"], fwd["proto"], fwd["toport"], fwd["toaddr"])
KeyError: 'toaddr'


Expected results:

# firewall-offline-cmd --forward-port=if=eth0:port=80:proto=tcp:toport=8000
Adding forward port 80:tcp:8000 to default zone.


Additional info:
Passing the 'toaddr' works:

# firewall-offline-cmd --forward-port=if=eth0:port=80:proto=tcp:toport=8000:toaddr=192.168.0.10
Adding forward port 80:tcp:8000:192.168.0.10 to default zone.
Comment 2 Fedora Update System 2013-10-17 11:59:51 EDT
firewalld-0.3.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firewalld-0.3.7-1.fc19
Comment 3 Fedora Update System 2013-10-18 15:50:07 EDT
Package firewalld-0.3.7-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.7-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19324/firewalld-0.3.7-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-22 00:57:34 EDT
firewalld-0.3.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.